#pragma once
namespace YoggieEngine {
	class Camera {
	public:
		Camera(glm::vec3 position, glm::vec3 rotation, float zoom);
		~Camera();

		void Update(); 

		glm::vec3 Position;
		glm::vec3 Rotation;
		float Zoom;

		glm::mat4 ViewMatrix;
		glm::mat4 ProjectionMatrix;


	private:
		glm::vec3 Front;
		glm::vec3 Right;
		glm::vec3 Up;
		

	};
}
